%define _prefix /usr
%define svn	beta5



Summary: The Open Vulnerability Assessment (OpenVAS) Manager
Name:    openvas-manager
Version: 1.0.0
Release: 0.beta5.1%{?dist}.art
Source0: %{name}-%{version}-%{svn}.tar.gz
License: GNU GPLv2
URL: http://www.openvas.org
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0

BuildRequires: openvas-libraries, openvas-libraries-devel
BuildRequires: e2fsprogs-devel, sqlite-devel, doxygen

%if 0%{!?el4}
BuildRequires: e2fsprogs-libs
%endif

%if 0%{?fc12}
BuildRequires: libuuid-devel
%endif

%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif


Requires: openvas-libraries, texlive-latex


%if 0%{?el4}0%{?el5}
BuildRequires: %{_includedir}/pcap.h
BuildRequires: compat-gnutls2, compat-gnutls2-devel
Requires: compat-gnutls2
Requires: tetex-latex
%else
BuildRequires: libpcap-devel gnutls-devel
Requires: texlive-latex
%endif
BuildRequires: libgcrypt-devel gpgme gpgme-devel
 
%description
The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
other features, it adds server-side storage of scan results and it makes it
unnecessary for a scan client to keep the connection open until the scan
finishes.


%prep
%setup -b 0 -n %{name}-%{version}-%{svn}

%build

%if 0%{?el4}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/
%endif

cmake -DCMAKE_INSTALL_PREFIX=/usr .

%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


%{__make}  %{?_smp_mflags}


%install

mkdir -p %{buildroot}/etc/openvas/xsl
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/openvas/

%{__install} -m 0755 ./src/openvasmd %{buildroot}/usr/bin/openvasmd
%{__install} -m 0644 ./src/openvasmd_log.conf %{buildroot}/etc/openvas/openvasmd_log.conf
%{__install} -m 0644 ./src/ITG.xsl %{buildroot}/etc/openvas/xsl/ITG.xsl
%{__install} -m 0644 ./src/CPE.xsl %{buildroot}/etc/openvas/xsl/CPE.xsl
%{__install} -m 0644 ./src/openvasmd_report_html.xsl %{buildroot}//usr/share/openvas/openvasmd_report_html.xsl



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/openvasmd
/etc/openvas/openvasmd_log.conf
/etc/openvas/xsl/CPE.xsl
/etc/openvas/xsl/ITG.xsl
/usr/share/openvas/openvasmd_report_html.xsl


%changelog
* Tue Apr 13 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-beta5.1-1
- initial build

